Groovy 1.7.0

## groovy.text
Class XmlTemplateEngine.GspPrinter

    java.lang.Object
      groovy.util.XmlNodePrinter
          groovy.text.XmlTemplateEngine.GspPrinter

    class XmlTemplateEngine.GspPrinter
    extends XmlNodePrinter

Field Summary

Fields inherited from class XmlNodePrinter
out

Constructor Summary
`XmlTemplateEngine.GspPrinter(PrintWriter out, String indent)`
`XmlTemplateEngine.GspPrinter(IndentPrinter out)`

Method Summary
`protected void` | `printGroovyTag(String tag, String text)`
`protected void` | `printLineBegin()`
`protected void` | `printLineEnd(String comment)`
`protected void` | `printSimpleItem(Object value)`
`protected boolean` | `printSpecialNode(Node node)`

Methods inherited from class XmlNodePrinter
getQuote, isNamespaceAware, isPreserveWhitespace, print, print, printLineBegin, printLineEnd, printLineEnd, printList, printName, printNameAttributes, printNamespace, printSimpleItem, printSpecialNode, setNamespaceAware, setPreserveWhitespace, setQuote

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### XmlTemplateEngine.GspPrinter

    public XmlTemplateEngine.GspPrinter(PrintWriter out, String indent)

### XmlTemplateEngine.GspPrinter

    public XmlTemplateEngine.GspPrinter(IndentPrinter out)

Method Detail

### printGroovyTag

    protected void printGroovyTag(String tag, String text)

### printLineBegin

    protected void printLineBegin()

### printLineEnd

    protected void printLineEnd(String comment)

### printSimpleItem

    protected void printSimpleItem(Object value)

### printSpecialNode

    protected boolean printSpecialNode(Node node)

Copyright © 2003-2009 The Codehaus. All rights reserved.